import { FS } from './HunspellAsmModule';
/**
 * Creates a function to mount contents of file into wasm internal memory filesystem
 * to allow wasm can access.
 *
 * @param {FS} FS wasm module filesystem
 * @param {string} memPathId root path in memory filesystem to mount given arrayBuffer.
 * This prefix path is generated automatically each time wasm module is loaded.
 *
 * @return {(contents: ArrayBufferView, fileName?: string) => string} function to mount buffer under memory filesystem.
 * If filename is not provided, it'll be generated automatically. This function checks existing file mounted via filename,
 * does not validate contents of buffer to find out already mounted one.
 */
/** @internal */
export declare const mountBuffer: (FS: FS, memPathId: string) => (contents: ArrayBufferView, fileName?: string | undefined) => string;
//# sourceMappingURL=mountBuffer.d.ts.map